---
kind: pipeline
type: docker
name: default

steps:
  - name: docker
    image: plugins/docker
    environment:
      DJANGO_ENV: production
      BUILD: "${DRONE_COMMIT_SHA}"
    settings:
      repo: docker.data.coop/membersystem
      registry: docker.data.coop
      username:
        from_secret: DOCKER_USERNAME
      password:
        from_secret: DOCKER_PASSWORD
      build_args_from_env:
        - DJANGO_ENV
        - BUILD
      tags:
        - "${DRONE_BUILD_NUMBER}"
        - "latest"
    when:
      branch:
        - main
